Index: branches/playability/src/world_entities/space_ships/spacecraft_2d_new
===================================================================
--- branches/playability/src/world_entities/space_ships/spacecraft_2d_new	(revision 9953)
+++ 	(revision )
@@ -1,89 +1,0 @@
-
-/*!
- * @file spacecraft_2d.h
- * Implements the Control of a Spacecraft2D
- */
-
-#ifndef _SPACECRAFT_2D_H
-#define _SPACECRAFT_2D_H
-
-#include "playable.h"
-
-// Forward Declaration
-class ParticleEmitter;
-class ParticleSystem;
-
-class Spacecraft2D : public Playable
-{
-  ObjectListDeclaration(Spacecraft2D);
-  public:
-    Spacecraft2D(const std::string& fileName);
-    Spacecraft2D(const TiXmlElement* root = NULL);
-    virtual ~Spacecraft2D();
-
-    virtual void loadParams(const TiXmlElement* root);
-
-    void setTravelSpeed(float travelSpeed);
-    void setTravelHeight(float travelHeight);
-    void setTravelDistance(const Vector2D& distance);
-    void setTravelDistance(float x, float y);
-
-    void setAirFriction(float friction) { this->airFriction = friction; };
-
-
-    virtual void setPlayDirection(const Quaternion& rot, float speed = 0.0f);
-    virtual void enter();
-    virtual void leave();
-
-
-    virtual void postSpawn();
-    virtual void leftWorld();
-
-    virtual void collidesWith(WorldEntity* entity, const Vector& location);
-    virtual void tick(float dt);
-    virtual void draw() const;
-
-    virtual void process(const Event &event);
-
-  protected:
-    virtual void enterPlaymode(Playable::Playmode playmode);
-
-  private:
-    void init();
-    void movement(float dt);
-
-  private:
-    bool                  bForward;           //!< forward button pressed.
-    bool                  bBackward;          //!< backward button pressed.
-    bool                  bLeft;              //!< left button pressed.
-    bool                  bRight;             //!< right button pressed.
-
-    int                   yInvert;
-    float                 mouseSensitivity;   //!< the mouse sensitivity
-
-    /// Normal Movement.
-    Quaternion            direction;          //!< the direction of the Spacecraft2D.
-    float                 acceleration;       //!< the acceleration of the Spacecraft2D.
-    float                 airFriction;        //!< AirFriction.
-
-    float                 airViscosity;
-
-
-    /// 2D-traveling
-    PNode*                travelNode;
-    float*                toTravelHeight;
-    float                 travelSpeed;        //!< the current speed of the Hove (to make soft movement)
-
-    Vector2D              travelDistance;     //!< Travel-Distance away from the TravelNode.
-
-    /// Camera
-    PNode                 cameraNode;
-    float                 cameraLook;
-    float                 rotation;
-
-
-    ParticleEmitter*      burstEmitter;
-    ParticleSystem*       burstSystem;
-};
-
-#endif /* _SPACECRAFT_2DS_H */
Index: branches/playability/src/world_entities/space_ships/spacecraft_2d_new.cc
===================================================================
--- branches/playability/src/world_entities/space_ships/spacecraft_2d_new.cc	(revision 9953)
+++ branches/playability/src/world_entities/space_ships/spacecraft_2d_new.cc	(revision 9955)
@@ -17,5 +17,5 @@
 #define DEBUG_SPECIAL_MODULE DEBUG_MODULE_WORLD_ENTITY
 
-#include "spacecraft_2d.h"
+#include "spacecraft_2d_new.h"
 
 #include "weapons/weapon_manager.h"
@@ -39,8 +39,8 @@
 
 #include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(Spacecraft2D, CL_SPACECRAFT_2D);
-CREATE_FACTORY(Spacecraft2D);
-
-CREATE_SCRIPTABLE_CLASS(Spacecraft2D,
+ObjectListDefinitionID(Spacecraft2Dnew, CL_SPACECRAFT_2D_new);
+CREATE_FACTORY(Spacecraft2Dnew);
+
+CREATE_SCRIPTABLE_CLASS(Spacecraft2Dnew,
 			addMethod("hasPlayer", Executor0ret<Playable, lua_State*,bool>(&Playable::hasPlayer))
                         //Coordinates
@@ -56,7 +56,7 @@
 /**
  * @brief loads a Spacecraft2D information from a specified file.
- * @param fileName the name of the File to load the spacecraft_2d from (absolute path)
+ * @param fileName the name of the File to load the spacecraft_2d_new from (absolute path)
  */
-Spacecraft2D::Spacecraft2D(const std::string& fileName)
+Spacecraft2Dnew::Spacecraft2Dnew(const std::string& fileName)
 {
   this->init();
@@ -65,5 +65,5 @@
   if(!doc.LoadFile())
   {
-    PRINTF(2)("Loading file %s failed for Spacecraft2D.\n", fileName.c_str());
+    PRINTF(2)("Loading file %s failed for Spacecraft2Dnew.\n", fileName.c_str());
     return;
   }
@@ -78,5 +78,5 @@
    @todo add more parameters to load
 */
-Spacecraft2D::Spacecraft2D(const TiXmlElement* root)
+Spacecraft2Dnew::Spacecraft2Dnew(const TiXmlElement* root)
 {
   this->init();
@@ -114,5 +114,5 @@
  * @brief destructs the spacecraft_2d, deletes alocated memory
  */
-Spacecraft2D::~Spacecraft2D ()
+Spacecraft2Dnew::~Spacecraft2Dnew ()
 {
   this->setPlayer(NULL);
@@ -124,5 +124,5 @@
  * @brief initializes a Spacecraft2D
  */
-void Spacecraft2D::init()
+void Spacecraft2Dnew::init()
 {
   //  this->setRelDir(Quaternion(M_PI, Vector(1,0,0)));
@@ -229,5 +229,5 @@
  * @param root the XML-element to load the Spaceship's properties from
  */
-void Spacecraft2D::loadParams(const TiXmlElement* root)
+void Spacecraft2Dnew::loadParams(const TiXmlElement* root)
 {
   Playable::loadParams(root);
@@ -238,10 +238,10 @@
 }
 
-void Spacecraft2D::setPlayDirection(const Quaternion& rot, float speed)
+void Spacecraft2Dnew::setPlayDirection(const Quaternion& rot, float speed)
 {
   this->direction = Quaternion (rot.getHeading(), Vector(0,1,0));
 }
 
-void Spacecraft2D::setTravelSpeed(float travelSpeed)
+void Spacecraft2Dnew::setTravelSpeed(float travelSpeed)
 {
   this->travelSpeed = travelSpeed;
@@ -249,5 +249,5 @@
 
 
-void Spacecraft2D::setTravelHeight(float travelHeight)
+void Spacecraft2Dnew::setTravelHeight(float travelHeight)
 {
   if (this->toTravelHeight == NULL)
@@ -257,10 +257,10 @@
 
 
-void Spacecraft2D::setTravelDistance(const Vector2D& distance)
+void Spacecraft2Dnew::setTravelDistance(const Vector2D& distance)
 {
   this->travelDistance = distance;
 }
 
-void Spacecraft2D::setTravelDistance(float x, float y)
+void Spacecraft2Dnew::setTravelDistance(float x, float y)
 {
   this->setTravelDistance(Vector2D(x, y));
@@ -269,5 +269,5 @@
 
 
-void Spacecraft2D::enter()
+void Spacecraft2Dnew::enter()
 {
   dynamic_cast<Element2D*>(this->getWeaponManager().getFixedTarget())->setVisibility( true);
@@ -277,5 +277,5 @@
 }
 
-void Spacecraft2D::leave()
+void Spacecraft2Dnew::leave()
 {
   dynamic_cast<Element2D*>(this->getWeaponManager().getFixedTarget())->setVisibility( false);
@@ -285,5 +285,5 @@
 
 
-void Spacecraft2D::enterPlaymode(Playable::Playmode playmode)
+void Spacecraft2Dnew::enterPlaymode(Playable::Playmode playmode)
 {
   switch(playmode)
@@ -337,5 +337,5 @@
  * @brief effect that occurs after the Spacecraft2D is spawned
 */
-void Spacecraft2D::postSpawn ()
+void Spacecraft2Dnew::postSpawn ()
 {
   //setCollision(new CollisionCluster(1.0, Vector(0,0,0)));
@@ -345,5 +345,5 @@
  * @brief the action occuring if the spacecraft_2d left the game
 */
-void Spacecraft2D::leftWorld ()
+void Spacecraft2Dnew::leftWorld ()
 {}
 
@@ -354,5 +354,5 @@
  * Implement behaviour like damage application or other miscellaneous collision stuff in this function
  */
-void Spacecraft2D::collidesWith(WorldEntity* entity, const Vector& location)
+void Spacecraft2Dnew::collidesWith(WorldEntity* entity, const Vector& location)
 {
   Playable::collidesWith(entity, location);
@@ -365,5 +365,5 @@
  * @param time The timespan passed since last update
 */
-void Spacecraft2D::tick (float dt)
+void Spacecraft2Dnew::tick (float dt)
 {
   //  this->debugNode(1);
@@ -382,5 +382,5 @@
  * @param time the timeslice since the last frame
 */
-void Spacecraft2D::movement (float dt)
+void Spacecraft2Dnew::movement (float dt)
 {
   Vector accel(0.0, 0.0, 0.0);
@@ -483,5 +483,5 @@
 
 
-void Spacecraft2D::draw() const
+void Spacecraft2Dnew::draw() const
 {
   WorldEntity::draw();
@@ -491,5 +491,5 @@
  * @todo switch statement ??
  */
-void Spacecraft2D::process(const Event &event)
+void Spacecraft2Dnew::process(const Event &event)
 {
   Playable::process(event);
@@ -505,7 +505,4 @@
   else if( event.type == EV_MOUSE_MOTION)
   {
-
-
-
     if (this->getPlaymode() == Playable::Full3D)
     {
Index: branches/playability/src/world_entities/space_ships/spacecraft_2d_new.h
===================================================================
--- branches/playability/src/world_entities/space_ships/spacecraft_2d_new.h	(revision 9955)
+++ branches/playability/src/world_entities/space_ships/spacecraft_2d_new.h	(revision 9955)
@@ -0,0 +1,89 @@
+
+/*!
+ * @file spacecraft_2d_new.h
+ * Implements the Control of a Spacecraft2D version 2 (PPS 3)
+ */
+
+#ifndef _SPACECRAFT_2D_NEW_H
+#define _SPACECRAFT_2D_NEW_H
+
+#include "playable.h"
+
+// Forward Declaration
+class ParticleEmitter;
+class ParticleSystem;
+
+class Spacecraft2Dnew : public Playable
+{
+  ObjectListDeclaration(Spacecraft2Dnew);
+  public:
+    Spacecraft2Dnew(const std::string& fileName);
+    Spacecraft2Dnew(const TiXmlElement* root = NULL);
+    virtual ~Spacecraft2Dnew();
+
+    virtual void loadParams(const TiXmlElement* root);
+
+    void setTravelSpeed(float travelSpeed);
+    void setTravelHeight(float travelHeight);
+    void setTravelDistance(const Vector2D& distance);
+    void setTravelDistance(float x, float y);
+
+    void setAirFriction(float friction) { this->airFriction = friction; };
+
+
+    virtual void setPlayDirection(const Quaternion& rot, float speed = 0.0f);
+    virtual void enter();
+    virtual void leave();
+
+
+    virtual void postSpawn();
+    virtual void leftWorld();
+
+    virtual void collidesWith(WorldEntity* entity, const Vector& location);
+    virtual void tick(float dt);
+    virtual void draw() const;
+
+    virtual void process(const Event &event);
+
+  protected:
+    virtual void enterPlaymode(Playable::Playmode playmode);
+
+  private:
+    void init();
+    void movement(float dt);
+
+  private:
+    bool                  bForward;           //!< forward button pressed.
+    bool                  bBackward;          //!< backward button pressed.
+    bool                  bLeft;              //!< left button pressed.
+    bool                  bRight;             //!< right button pressed.
+
+    int                   yInvert;
+    float                 mouseSensitivity;   //!< the mouse sensitivity
+
+    /// Normal Movement.
+    Quaternion            direction;          //!< the direction of the Spacecraft2D.
+    float                 acceleration;       //!< the acceleration of the Spacecraft2D.
+    float                 airFriction;        //!< AirFriction.
+
+    float                 airViscosity;
+
+
+    /// 2D-traveling
+    PNode*                travelNode;
+    float*                toTravelHeight;
+    float                 travelSpeed;        //!< the current speed of the Hove (to make soft movement)
+
+    Vector2D              travelDistance;     //!< Travel-Distance away from the TravelNode.
+
+    /// Camera
+    PNode                 cameraNode;
+    float                 cameraLook;
+    float                 rotation;
+
+
+    ParticleEmitter*      burstEmitter;
+    ParticleSystem*       burstSystem;
+};
+
+#endif /* _SPACECRAFT_2DS_H */