Index: branches/playability/src/world_entities/Makefile.am
===================================================================
--- branches/playability/src/world_entities/Makefile.am	(revision 9969)
+++ branches/playability/src/world_entities/Makefile.am	(revision 9970)
@@ -6,66 +6,18 @@
 
 ## THESE ARE THE BASE CLASSES OF ALL WORLD_ENTITIES
-libORXwe_a_SOURCES = \
-		world_entity.cc \
-		\
-		camera.cc \
-		playable.cc \
-		player.cc \
-		\
-		npcs/npc.cc \
-		\
-		weapons/weapon_manager.cc \
-		weapons/crosshair.cc \
-		weapons/weapon.cc \
-		weapons/ammo_container.cc \
-		projectiles/projectile.cc \
-		\
-		extendable.cc \
-		power_ups/power_up.cc \
-		power_ups/param_power_up.cc \
-		power_ups/weapon_power_up.cc \
-		\
-		spawning_point.cc \
-		\
-		\
-		effects/explosion.cc \
-		effects/billboard.cc \
-		\
-		\
-		elements/glgui_energywidget.cc
+libORXwe_a_SOURCES = world_entity.cc 				camera.cc 		playable.cc 		player.cc \
+					npcs/npc.cc 				weapons/weapon_manager.cc 		weapons/crosshair.cc \
+			weapons/weapon.cc 		weapons/ammo_container.cc 		projectiles/projectile.cc \
+					extendable.cc 		power_ups/power_up.cc 		power_ups/param_power_up.cc \
+			power_ups/weapon_power_up.cc 				spawning_point.cc 						effects/explosion.cc 		effects/billboard.cc \
+							elements/glgui_energywidget.cc
 
 
-noinst_HEADERS  = \
-		world_entity.h \
-		\
-		camera.h \
-		extendable.h \
-		playable.h \
-		player.h \
-		\
-		npcs/npc.h \
-		\
-		weapons/weapon_manager.h \
-		weapons/crosshair.h \
-		weapons/weapon.h \
-		weapons/ammo_container.h \
-		projectiles/projectile.h \
-		\
-		power_ups/power_up.h \
-		power_ups/param_power_up.h \
-		power_ups/weapon_power_up.h \
-		\
-		spawning_point.h \
-		\
-		\
-		effects/explosion.h \
-		effects/billboard.h \
-		\
-		\
-		\
-		elements/glgui_energywidget.h \
-		\
-		\
-		$(WorldEntities_HEADERS_)
+noinst_HEADERS = world_entity.h 				camera.h 		extendable.h 		playable.h \
+			player.h 				npcs/npc.h 				weapons/weapon_manager.h 		weapons/crosshair.h \
+			weapons/weapon.h 		weapons/ammo_container.h 		projectiles/projectile.h \
+					power_ups/power_up.h 		power_ups/param_power_up.h 		power_ups/weapon_power_up.h \
+					spawning_point.h 						effects/explosion.h 		effects/billboard.h \
+									elements/glgui_energywidget.h 					
 
 
Index: branches/playability/src/world_entities/WorldEntities.am
===================================================================
--- branches/playability/src/world_entities/WorldEntities.am	(revision 9969)
+++ branches/playability/src/world_entities/WorldEntities.am	(revision 9970)
@@ -37,4 +37,7 @@
                 world_entities/weapons/fps_sniper_rifle.cc \
                 world_entities/weapons/boomerang_gun.cc \
+                world_entities/weapons/light_blaster.cc \
+                world_entities/weapons/medium_blaster.cc \
+                world_entities/weapons/heavy_blaster.cc \
                 \
                 world_entities/projectiles/bomb.cc \
@@ -141,4 +144,7 @@
                 weapons/aiming_system.h \
                 weapons/fps_sniper_rifle.h \
+                weapons/light_blaster.h \
+                weapons/medium_blaster.h \
+                weapons/heavy_blaster.h \
                 \
                 projectiles/bomb.h \
Index: branches/playability/src/world_entities/space_ships/space_ship.cc
===================================================================
--- branches/playability/src/world_entities/space_ships/space_ship.cc	(revision 9969)
+++ branches/playability/src/world_entities/space_ships/space_ship.cc	(revision 9970)
@@ -23,4 +23,8 @@
 
 #include "weapons/test_gun.h"
+#include "weapons/light_blaster.h"
+#include "weapons/medium_blaster.h"
+#include "weapons/heavy_blaster.h"
+#include "weapons/boomerang_gun.h"
 #include "weapons/turret.h"
 #include "weapons/cannon.h"
@@ -129,11 +133,11 @@
 
   //weapons:
-  Weapon* wpRight = new TestGun(0);
-  wpRight->setName("testGun Right");
-  Weapon* wpLeft = new TestGun(1);
-  wpLeft->setName("testGun Left");
-
-  Weapon* cannon = new Cannon();
-  cannon->setName("BFG");
+  Weapon* wpRight = new LightBlaster ();
+  wpRight->setName("Blaster Right");
+  Weapon* wpLeft = new LightBlaster ();
+  wpLeft->setName("Blaster Left");
+
+  Weapon* cannon = new BoomerangGun();//Cannon();
+  cannon->setName("End of World");
 
 
@@ -148,10 +152,21 @@
   cannon->requestAction(WA_ACTIVATE);
 
-  this->curWeaponPrimary    = 0;
-  this->curWeaponSecondary  = 0;
+  curWeaponPrimary    = 0;
+  curWeaponSecondary  = 0;
 
   Playable::weaponConfigChanged();
 
-  weaponEnergyRegen = 10;   // 10 einheiten pro Sekunde
+  reactorOutput     = 10;
+
+  weaponEnergyRegen = 10;       // 10 einheiten pro Sekunde
+  engineSpeedBase   = 5;
+  shieldRegen       = 2;
+
+  shieldEnergyShare = 0.3;
+  weaponEnergyShare = 0.3;
+  engineEnergyShare = 0.4;
+
+  shieldCur         = 20;
+  shieldMax         = 100;
 
   /*
@@ -163,5 +178,5 @@
   */
 
-  this->loadModel("models/ships/hoverglider_mainbody.obj");
+  this->loadModel("models/ships/mantawing.obj");
 
   bUp = bDown = bLeft = bRight = bAscend = bDescend = bRollL = bRollR = bFire = bSecFire = false;
@@ -176,6 +191,6 @@
   //  cycle = 0.0;
 
-  this->setHealthMax(100);
-  this->setHealth(80);
+  this->setHealthMax(shieldMax);
+  this->setHealth(shieldCur);
 
   travelSpeed = 0.0;
@@ -396,5 +411,15 @@
   }
 
+
+  // Shield Regeneration and other regular calculations on the ship 
+  this->regen(time);
+
+  // Weapon Regeneration and other regular calculations on the ship
   this->weaponRegen(time);
+
+  // current engine speed output
+  this->engineSpeedCur = this->engineSpeedBase + this->reactorOutput * this->engineEnergyShare;
+
+
 
   if( ( xMouse != 0 || yMouse != 0 ) && this->getOwner() == SharedNetworkData::getInstance()->getHostID() )
@@ -411,6 +436,5 @@
   }
 
-  // Shield Regeneration and other regular calculations on the ship 
-  this->regen(time);
+  
 
 
@@ -628,5 +652,5 @@
   }
   if (this->shieldCur != this->shieldMax || this->shieldRegen != 0){
-    tmp =  this->shieldCur + this->shieldRegen * time;
+    tmp =  this->shieldCur + (this->shieldRegen + this->reactorOutput * this->shieldEnergyShare) * time;
     if( tmp > shieldMax)
       this->shieldCur = this->shieldMax;
@@ -635,4 +659,7 @@
     this->shieldActive = ( this->shieldActive || this->shieldCur > shieldTH);
   }
+
+  this->setHealth( this->shieldCur);      // FIXME currently just to test share system
+
   if (this->electronicCur != this->electronicMax || this->electronicRegen != 0){
     tmp = this->electronicCur + this->electronicRegen * time;
Index: branches/playability/src/world_entities/space_ships/space_ship.h
===================================================================
--- branches/playability/src/world_entities/space_ships/space_ship.h	(revision 9969)
+++ branches/playability/src/world_entities/space_ships/space_ship.h	(revision 9970)
@@ -82,5 +82,5 @@
     float       shieldMax;          //!< maximum shield
     float       shieldEnergyShare;  //!< percentage of reactor output
-    float       shieldRegen;        //!< shield regeneration rate per tick
+    float       shieldRegen;        //!< shield regeneration rate per second
     float       shieldTH;           //!< shield threshhold for reactivation
     bool        shieldActive;       //!< wheather the shield is working
@@ -94,5 +94,6 @@
     float       electronicRegen;    //!< electronic regenration rate per tick
 
-    int         engineSpeedCur;     //!< speed output
+    float       engineSpeedCur;     //!< speed output for movement = speed base + energy share part
+    float       engineSpeedBase;    //!< speed base
     int         enginePowerConsume; //!< energy needed
     float       engineEnergyShare;  //!< percentage of reactor output