Index: branches/playability/src/world_entities/WorldEntities.am
===================================================================
--- branches/playability/src/world_entities/WorldEntities.am	(revision 9977)
+++ branches/playability/src/world_entities/WorldEntities.am	(revision 9978)
@@ -41,4 +41,5 @@
                 world_entities/weapons/heavy_blaster.cc \
                 \
+                world_entities/projectiles/bolt.cc \
                 world_entities/projectiles/bomb.cc \
                 world_entities/projectiles/laser.cc \
Index: branches/playability/src/world_entities/projectiles/bolt.cc
===================================================================
--- branches/playability/src/world_entities/projectiles/bolt.cc	(revision 9978)
+++ branches/playability/src/world_entities/projectiles/bolt.cc	(revision 9978)
@@ -0,0 +1,160 @@
+/*
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific
+   main-programmer: Patrick Boenzli
+   co-programmer: Benjamin Grauer
+
+*/
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_WEAPON
+
+#include "bolt.h"
+
+#include "state.h"
+#include "model.h"
+
+#include "particles/dot_emitter.h"
+#include "particles/sprite_particles.h"
+
+#include <cassert>
+#include "debug.h"
+
+
+#include "class_id_DEPRECATED.h"
+ObjectListDefinition(Bolt);
+CREATE_FAST_FACTORY_STATIC(Bolt);
+
+/**
+ *  standard constructor
+*/
+Bolt::Bolt () : Projectile()
+{
+  this->registerObject(this, Bolt::_objectList);
+
+  this->loadModel("models/projectiles/bolt.obj");   //!< Model not yet in repo
+
+  this->setMinEnergy(10);
+  this->setHealthMax(0);
+  this->lifeSpan = 5.0;
+
+  this->emitter = new DotEmitter(100, 5, M_2_PI);
+  this->emitter->setParent(this);
+  this->emitter->setSpread(M_PI, M_PI);
+  this->emitter->setEmissionRate(300.0);
+  this->emitter->setEmissionVelocity(50.0);
+}
+
+
+/**
+ *  standard deconstructor
+*/
+Bolt::~Bolt ()
+{
+  // delete this->emitter;
+
+  /* this is normaly done by World.cc by deleting the ParticleEngine */
+  if (Bolt::explosionParticles != NULL && Bolt::objectList().size() <= 1)
+  {
+    //if (ClassList::exists(Bolt::explosionParticles, CL_PARTICLE_SYSTEM))
+    //  delete Bolt::explosionParticles;
+    PRINTF(1)("Deleting Bolt Particles\n");
+    Bolt::explosionParticles = NULL;
+  }
+
+}
+
+SpriteParticles* Bolt::explosionParticles = NULL;
+
+void Bolt::activate()
+{
+  if (unlikely(Bolt::explosionParticles == NULL))
+  {
+    Bolt::explosionParticles = new SpriteParticles(1000);
+    Bolt::explosionParticles->setName("BoltExplosionParticles");
+    Bolt::explosionParticles->setLifeSpan(.5, .3);
+    Bolt::explosionParticles->setRadius(0.0, 10.0);
+    Bolt::explosionParticles->setRadius(.5, 6.0);
+    Bolt::explosionParticles->setRadius(1.0, 3.0);
+    Bolt::explosionParticles->setColor(0.0, 1,1,0,.9);
+    Bolt::explosionParticles->setColor(0.5, .8,.8,0,.5);
+    Bolt::explosionParticles->setColor(1.0, .8,.8,.7,.0);
+  }
+
+  this->setDamage(20);
+  this->setHealth(0);
+}
+
+
+void Bolt::deactivate()
+{
+  assert (Bolt::explosionParticles != NULL);
+  Bolt::explosionParticles->removeEmitter(this->emitter);
+  this->lifeCycle = 0.0;
+
+  this->toList(OM_NULL);
+  this->removeNode();
+  Bolt::fastFactory->kill(this);
+}
+
+
+void Bolt::collidesWith(WorldEntity* entity, const Vector& location)
+{
+  if (this->hitEntity != entity && entity->isA(CL_NPC))
+    this->destroy( entity );
+  this->hitEntity = entity;
+}
+
+/**
+ *  signal tick, time dependent things will be handled here
+ * @param dt time since last tick
+*/
+void Bolt::tick (float dt)
+{
+  //Vector v = *this->flightDirection * ( this->speed * time * 1000 + 0.1);
+  Vector v = this->velocity * dt;
+  this->shiftCoor(v);
+
+  if (this->tickLifeCycle(dt))
+    this->deactivate();
+}
+
+/**
+ *  the function gets called, when the projectile is destroyed
+*/
+void Bolt::destroy (WorldEntity* killer)
+{
+  Projectile::destroy( killer );
+  PRINTF(5)("DESTROY Bolt\n");
+  this->lifeCycle = .95; //!< @todo calculate this usefully.
+
+  this->emitter->setSystem(Bolt::explosionParticles);
+}
+
+
+void Bolt::draw () const
+{
+  glPushAttrib(GL_ENABLE_BIT);
+  glDisable(GL_LIGHTING);
+
+  WorldEntity::draw();
+/*  glMatrixMode(GL_MODELVIEW);
+  glPushMatrix();
+
+  float matrix[4][4];
+  glTranslatef (this->getAbsCoor ().x, this->getAbsCoor ().y, this->getAbsCoor ().z);
+  this->getAbsDir().matrix (matrix);
+  glMultMatrixf((float*)matrix);
+  glScalef(2.0, 2.0, 2.0);
+  this->getModel()->draw();
+  glPopMatrix();*/
+
+  glPopAttrib();
+}
+
Index: branches/playability/src/world_entities/projectiles/bolt.h
===================================================================
--- branches/playability/src/world_entities/projectiles/bolt.h	(revision 9978)
+++ branches/playability/src/world_entities/projectiles/bolt.h	(revision 9978)
@@ -0,0 +1,47 @@
+/*!
+ * @file laser.h
+ * @brief a projectile, that is been shooted by a weapon
+*/
+
+#ifndef _BOLT_H
+#define _BOLT_H
+
+#include "projectile.h"
+
+class Vector;
+class Weapon;
+class SpriteParticles;
+class ParticleEmitter;
+class FastFactory;
+
+class Bolt : public Projectile
+{
+  ObjectListDeclaration(Bolt);
+  public:
+    Bolt ();
+    virtual ~Bolt ();
+
+
+    virtual void activate();
+    virtual void deactivate();
+
+    virtual void collidesWith(WorldEntity* entity, const Vector& location);
+
+    virtual void destroy (WorldEntity* killer);
+
+    virtual void tick (float dt);
+    virtual void draw () const;
+
+
+  private:
+    static FastFactory*               fastFactory;
+
+    static SpriteParticles*           explosionParticles;
+
+    ParticleEmitter*                  emitter;
+
+
+    WorldEntity* hitEntity; // FIXME TEMPORARY
+};
+
+#endif /* _BOLT_H */
Index: branches/playability/src/world_entities/test_entity2.cc
===================================================================
--- branches/playability/src/world_entities/test_entity2.cc	(revision 9977)
+++ branches/playability/src/world_entities/test_entity2.cc	(revision 9978)
@@ -84,5 +84,5 @@
   this->material->setAmbient(1.0, 0.0, 1.0);
 
-//   this->material->setDiffuseMap("maps/");
+  //this->material->setDiffuseMap("maps/torp2.png");
 }
 
@@ -113,33 +113,116 @@
 
 //PRINTF(0)("axis: %f\n", axis);
-
+    glDisable(GL_TEXTURE_2D);
     this->material->select();
 
   glColor3f(0.0, 1.0, 0.0);
+  glBindTexture( GL_TEXTURE_2D, 1 );
+  glBegin(GL_QUADS); // +X
+    glTexCoord2f (0.0, 0.0);
+    glVertex3f( 0.0f, -0.5f, -0.5f);
+    glNormal3f(1.0, 0.0, 0.0);
+
+    glTexCoord2f (1.0, 0.0);
+    glVertex3f( 0.0f, -0.5f , 0.5f);
+    glNormal3f(1.0, 0.0, 0.0);
+
+    glTexCoord2f (1.0, 1.0);
+    glVertex3f( 0.0, 0.5f , 0.5f );
+    glNormal3f(1.0, 0.0, 0.0);
+
+
+    glTexCoord2f (0.0, 1.0);
+    glVertex3f( 0.0, 0.5f, -0.5f );
+    glNormal3f(1.0, 0.0, 0.0);
+  glEnd();
+
+  glBegin(GL_QUADS); // +Y
+    glTexCoord2f (0.0, 0.0);
+    glVertex3f(-0.5f, 0.0f, -0.5f);
+    glNormal3f(0.0, 1.0, 0.0);
+
+    glTexCoord2f (1.0, 0.0);
+    glVertex3f(-0.5f, 0.0f , 0.5f);
+    glNormal3f(0.0, 1.0, 0.0);
+
+    glTexCoord2f (1.0, 1.0);
+    glVertex3f( 0.5f, 0.0f , 0.5f );
+    glNormal3f(0.0, 1.0, 0.0);
+
+    glTexCoord2f (0.0, 1.0);
+    glVertex3f( 0.5f, 0.0f, -0.5f );
+    glNormal3f(0.0, 1.0, 0.0);
+  glEnd();
+
+  glBegin(GL_QUADS);// +Z
+    glTexCoord2f (0.0, 0.0);
+    glVertex3f(-0.5f, -0.5f, 0.0f);
+    glNormal3f(0.0, 0.0, 1.0);
+
+    glTexCoord2f (1.0, 0.0);
+    glVertex3f(-0.5f, 0.5f , 0.0f);
+    glNormal3f(0.0, 0.0, 1.0);
+
+    glTexCoord2f (1.0, 1.0);
+    glVertex3f( 0.5f, 0.5f , 0.0f );
+    glNormal3f(0.0, 0.0, 1.0);
+
+    glTexCoord2f (0.0, 1.0);
+    glVertex3f( 0.5f, -0.5f, 0.0f );
+    glNormal3f(0.0, 0.0, 1.0);
+  glEnd();
 
   glBegin(GL_QUADS);
-
-    glVertex3f( 0.0f, -10.0f, 0.0f);
-    glNormal3f(1.0, 0.0, 0.0);
-//     glTexCoord2f(1.0f, 1.0f);
-
-    glVertex3f( 0.0f,  -10.0f , 20.0f);
-    glNormal3f(1.0, 0.0, 0.0);
-
-
-//     glTexCoord2f(0.0f, 1.0f);
-
-    glVertex3f( 0.0,  10.0f , 20.0f );
-    glNormal3f(1.0, 0.0, 0.0);
-
-
-//     glTexCoord2f(0.0f, 0.0f);
-
-    glVertex3f( 0.0, 10.0f, 0.0f );
-    glNormal3f(1.0, 0.0, 0.0);
-
-
-//     glTexCoord2f(1.0f, 0.0f);
-
+    glTexCoord2f (0.0, 0.0);
+    glVertex3f( 0.0f, -0.5f, -0.5f);
+    glNormal3f(-1.0, 0.0, 0.0);
+
+    glTexCoord2f (1.0, 0.0);
+    glVertex3f( 0.0f, 0.5f , -0.5f);
+    glNormal3f(-1.0, 0.0, 0.0);
+
+    glTexCoord2f (1.0, 1.0);
+    glVertex3f( 0.0, 0.5f , 0.5f );
+    glNormal3f(-1.0, 0.0, 0.0);
+
+    glTexCoord2f (0.0, 1.0);
+    glVertex3f( 0.0, -0.5f, 0.5f );
+    glNormal3f(-1.0, 0.0, 0.0);
+  glEnd();
+
+  glBegin(GL_QUADS);
+    glTexCoord2f (0.0, 0.0);
+    glVertex3f(-0.5f, 0.0f, -0.5f);
+    glNormal3f(0.0, -1.0, 0.0);
+
+    glTexCoord2f (1.0, 0.0);
+    glVertex3f(0.5f, 0.0f , -0.5f);
+    glNormal3f(0.0, -1.0, 0.0);
+
+    glTexCoord2f (1.0, 1.0);
+    glVertex3f( 0.5f, 0.0f , 0.5f );
+    glNormal3f(0.0, -1.0, 0.0);
+
+    glTexCoord2f (0.0, 1.0);
+    glVertex3f( -0.5f, 0.0f, 0.5f );
+    glNormal3f(0.0, -1.0, 0.0);
+  glEnd();
+
+  glBegin(GL_QUADS);
+    glTexCoord2f (0.0, 0.0);
+    glVertex3f(-0.5f, -0.5f, 0.0f);
+    glNormal3f(0.0, 0.0, -1.0);
+
+    glTexCoord2f (1.0, 0.0);
+    glVertex3f(0.5f, -0.5f , 0.0f);
+    glNormal3f(0.0, 0.0, -1.0);
+
+    glTexCoord2f (1.0, 1.0);
+    glVertex3f( 0.5f, 0.5f , 0.0f );
+    glNormal3f(0.0, 0.0, -1.0);
+
+    glTexCoord2f (0.0, 1.0);
+    glVertex3f( -0.5f, 0.5f, 0.0f );
+    glNormal3f(0.0, 0.0, -1.0);
   glEnd();
 
Index: branches/playability/src/world_entities/weapons/light_blaster.cc
===================================================================
--- branches/playability/src/world_entities/weapons/light_blaster.cc	(revision 9977)
+++ branches/playability/src/world_entities/weapons/light_blaster.cc	(revision 9978)
@@ -65,5 +65,6 @@
 
   this->setCapability(WTYPE_ALLDIRS | WTYPE_DIRECTIONAL | WTYPE_LIGHT);
-  this->setProjectileTypeC("RailProjectile");   // FIXME temp project type until the blaste class exist
+  //this->setProjectileTypeC("RailProjectile");   // FIXME temp project type until the blaste class exist
+  this->setProjectileTypeC("Bolt");   // Working; FIXME: add textures
   this->prepareProjectiles(100);
 