Index: /branches/coll_rect/src/lib/collision_reaction/collision.cc
===================================================================
--- /branches/coll_rect/src/lib/collision_reaction/collision.cc	(revision 9979)
+++ /branches/coll_rect/src/lib/collision_reaction/collision.cc	(revision 9980)
@@ -51,5 +51,5 @@
     this->bDispatched = true;
 
-    this->collisionEvents.clear();
+    this->_collisionEvents.clear();
   }
 
Index: /branches/coll_rect/src/lib/collision_reaction/collision_filter.cc
===================================================================
--- /branches/coll_rect/src/lib/collision_reaction/collision_filter.cc	(revision 9979)
+++ /branches/coll_rect/src/lib/collision_reaction/collision_filter.cc	(revision 9980)
@@ -71,5 +71,5 @@
     {
       //check if this class isn't already registered
-      std::vector<ClassID>::iterator it = this->_filters[type].begin();
+      TargetIterator it = this->_filters[type].begin();
       for(; it != this->_filters[type].end(); it++)
       {
@@ -141,5 +141,5 @@
     for( int i = 0; i < CREngine::CR_NUMBER; i++ )
     {
-      std::vector<ClassID>::const_iterator it = this->_filters[i].begin();
+      TargetIterator it = this->_filters[i].begin();
       for(; it != this->_filters[i].end(); i++ )
         if( unlikely(entity.isA(*it)))
@@ -160,10 +160,10 @@
   bool CollisionFilter::operator()(const WorldEntity& entity, const CREngine::ReactionType type) const
   {
-    // if there are no installed criterions just ommit and
-    if( this->bReactive())
+    // if there are no installed criterions just omit and return
+    if( !this->bReactive())
       return false;
 
     // goes through all registered filter criterions and looks for matches
-    std::vector<ClassID>::const_iterator it = this->_filters[type].begin();
+    TargetIterator it = this->_filters[type].begin();
     for(; it != this->_filters[type].end(); it++ )
       if( unlikely(entity.isA(*it)))
Index: /branches/coll_rect/src/lib/collision_reaction/collision_filter.h
===================================================================
--- /branches/coll_rect/src/lib/collision_reaction/collision_filter.h	(revision 9979)
+++ /branches/coll_rect/src/lib/collision_reaction/collision_filter.h	(revision 9980)
@@ -35,4 +35,6 @@
     ObjectListDeclaration(CollisionFilter);
 
+
+    typedef std::vector<ClassID>::iterator    TargetIterator;
 
     /* Constructor/Deconstructors */
Index: /branches/coll_rect/src/lib/collision_reaction/collision_tube.cc
===================================================================
--- /branches/coll_rect/src/lib/collision_reaction/collision_tube.cc	(revision 9979)
+++ /branches/coll_rect/src/lib/collision_reaction/collision_tube.cc	(revision 9980)
@@ -120,15 +120,12 @@
   {
     // for all collisions:
-    std::vector<Collision*>::iterator collisions = this->_collisionList.begin();
-    for(; collisions < this->_collisionList.end(); collisions++)
+    CollisionIterator ci = this->_collisionList.begin();
+    for(; ci < this->_collisionList.end(); ++ci)
     {
+      // check if entity A is subscibed for this event
+      (*ci)->getEntityA()->
 
+      // check if entity B is subscribed for this event
 
-      // for all collision events of each collision:
-      Collision::iterator events = (*collisions)->begin();
-      for(; events < (*collisions)->end(); events++)
-      {
-
-      }
     }
   }
Index: /branches/coll_rect/src/lib/collision_reaction/collision_tube.h
===================================================================
--- /branches/coll_rect/src/lib/collision_reaction/collision_tube.h	(revision 9979)
+++ /branches/coll_rect/src/lib/collision_reaction/collision_tube.h	(revision 9980)
@@ -48,4 +48,5 @@
     ObjectListDeclaration(CollisionTube);
 
+    typedef std::vector<Collision*>::iterator     CollisionIterator;
 
     /* Constructor/Deconstructor/Singleton Interface */
Index: /branches/coll_rect/src/world_entities/world_entity.h
===================================================================
--- /branches/coll_rect/src/world_entities/world_entity.h	(revision 9979)
+++ /branches/coll_rect/src/world_entities/world_entity.h	(revision 9980)
@@ -92,5 +92,11 @@
   /** @return true if there is at least on collision reaction subscribed */
   inline bool isReactive() const { return this->bReactive; }
+
+  /** @param worldEntity the world entity to be checked @returns true if there is a collisionreaction registered for the worldEntity */
   inline bool isReactive( const WorldEntity& worldEntity) const { return this->isReactive() || (this->_collisionFilter(worldEntity)); }
+  /** @param worldEntity the world entity to be checked @param type special reaction type @returns true if collision reaction reg. */
+  inline bool isReactive( const WorldEntity& worldEntity, CoRe::ReactionType type) const
+  { return this->isReactive() || (this->_collisionFilter(worldEntity, type)); }
+
 
   const CoRe::CollisionFilter& getCollisionFilter(CoRe::CREngine::ReactionType type) const { return this->_collisionFilter; }