Index: /code/trunk/data/levels/iJohnVane_TriptoArea51.oxw
===================================================================
--- /code/trunk/data/levels/iJohnVane_TriptoArea51.oxw	(revision 9986)
+++ /code/trunk/data/levels/iJohnVane_TriptoArea51.oxw	(revision 9987)
@@ -68,5 +68,5 @@
    <!--TeamSpawnPoint team=0 position="0,94000,0" lookat="0,118000,0" spawnclass=SpaceShip pawndesign=spaceshipcollateraldamage/-->
 
-   <Script code="Mission setLives 1" onLoad="true"/>
+   <Script code="Mission setLives 1" onLoad="true" times="1" />
 
    <DistanceTrigger name="spawntrigger" position="0,0,0" distance=10 target="SpaceShip" stayActive="true" delay=0.1/>
@@ -354,6 +354,6 @@
    </Template>
 
-   <PortalEndPoint position="5000,5800,4500" id="1" distance="40" target="MobileEntity" design="PortalDefault" reenterDelay="0"/>
-   <PortalEndPoint position="0,94000,0" id="2" distance="40" target="MobileEntity" design="PortalDefault" reenterDelay="0" lookat="0,118000,0" />
+   <PortalEndPoint position="5000,6400,5000" id="1" distance="40" target="MobileEntity" design="PortalDefault" reenterDelay="0" lookat="5000,5800,5000"/>
+   <PortalEndPoint position="0,94000,0" id="2" distance="40" target="MobileEntity" design="PortalDefault" reenterDelay="0" />
    <PortalLink fromID="1" toID="2" />
    <!--<PortalLink fromID="2" toID="1" />-->
@@ -377,12 +377,13 @@
       enablecollisiondamage = true 
       active = true
-   >            
-          <events>           
-            <activity>           
-              <EventListener event="start" />           
-            </activity>           
-          </events>           
+   >                 
           <attached>           
-              <Model mass="<?lua print(j * 1000) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" />                     
+              <Model mass="<?lua print(j * 1000) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" >
+                  <events>           
+                    <visibility>           
+                      <EventListener event="portal3" />           
+                    </visibility>           
+                  </events>
+              </Model>                          
           </attached> 
          <collisionShapes>
@@ -414,12 +415,14 @@
       enablecollisiondamage = true 
       active = true
-   >            
-          <events>           
-            <activity>           
-              <EventListener event="start" />           
-            </activity>           
-          </events>           
+      visible = false
+   >                     
           <attached>           
-              <Model mass="2000" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" />                     
+              <Model mass="2000" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" >
+                  <events>           
+                    <visibility>           
+                      <EventListener event="portal3" />           
+                    </visibility>           
+                  </events>
+              </Model>                    
           </attached> 
          <collisionShapes>
@@ -491,5 +494,11 @@
          <DistanceTrigger name="endOfLevel" position="0,0,0" target="SpaceShip" beaconMode="exclude"
                           targetname="bcnDestroyer" distance=50 stayActive="true" delay=0/>
-        <Model mesh="HydroHarvester.mesh" mass=10 position="0,0,0" scale=50 />
+        <Model mesh="HydroHarvester.mesh" mass=10 position="0,0,0" scale=50 visible=false >
+          <events>           
+            <visibility>           
+              <EventListener event="portal3" />           
+            </visibility>           
+          </events>
+        </Model>
       </attached>
   </StaticEntity>
@@ -515,6 +524,20 @@
     </OverlayGroup>
 
-
-  <DistanceTrigger name="HACKgameOver" position="0,94000,0" target="SpaceShip" distance=100000 stayActive="true" >
+  <DistanceTrigger name="HACKgameOver" position="0,94000,0" distance=100000 target="SpaceShip" stayActive="true" delay=2.0>
+    <EventTrigger name="gameOver" activations="1" stayactive="true" delay=0.1>
+      <events>
+        <trigger>
+          <EventListener event="portal4" />
+        </trigger>
+      </events>
+    </EventTrigger>
+  </DistanceTrigger>
+
+
+
+
+
+
+  <!--DistanceTrigger name="HACKgameOver" position="0,94000,0" target="SpaceShip" distance=100000 stayActive="true" >
     <EventTrigger name="gameOver" stayActive="true" delay=10 >
       <events>
@@ -524,7 +547,21 @@
       </events>
     </EventTrigger>
-  </DistanceTrigger>
-
-   <Script code="Mission endMission false" onLoad="false">
+  </DistanceTrigger-->
+    <SimpleNotification message="GAMEOVER !">
+        <events>
+            <trigger>
+                <EventListener event="HACKgameOver" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+    <SimpleNotification message="GAMEOVER simple">
+        <events>
+            <trigger>
+                <EventListener event="gameOver" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+   <Script code="Mission endMission false" onLoad="false" times="1" >
         <events>
             <trigger>
@@ -562,5 +599,5 @@
 
    <DistanceTrigger name="portal6" position="0,94000,0" target="SpaceShip" distance=50 stayActive="true" delay=13/>
-   <SimpleNotification message="John: I see the wormhole station on the radar">
+   <SimpleNotification message="Houston: Make sure to reach the wormhole in time!">
       <events>
          <trigger>
@@ -571,5 +608,5 @@
 
 
-   <DistanceTrigger name="portal7" position="0,94000,0" target="SpaceShip" distance=50 stayActive="true" delay=17/>
+   <!--DistanceTrigger name="portal7" position="0,94000,0" target="SpaceShip" distance=50 stayActive="true" delay=17/>
    <SimpleNotification message="Houston: Is it black?">
       <events>
@@ -626,5 +663,5 @@
     </SimpleNotification-->
 
-   <Script code="Mission endMission true" onLoad="false">
+   <Script code="Mission endMission true" onLoad="false" times="1" >
         <events>
             <trigger>